Bulletin d'alerte Debian

DSA-1528-1 serendipity -- Vérification d'entrées manquante

Date du rapport :
24 mars 2008
Paquets concernés :
serendipity
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 469667.
Dans le dictionnaire CVE du Mitre : CVE-2007-6205, CVE-2008-0124, CVE-2008-1476.
Plus de précisions :

Peter Hüwe et Hanno Böck ont découvert que Serendipity, un gestionnaire de journal sur la Toile, ne vérifiait pas suffisamment les entrées de plusieurs scripts. Cela permet des attaques par scripts intersites.

L'ancienne distribution stable (Sarge) ne contient pas de paquet serendipity.

Pour la distribution stable (Etch), ce problème a été corrigé dans la version 1.0.4-1+etch1.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 1.3-1.

Nous vous recommandons de mettre à jour votre paquet serendipity.

Corrigé dans :

Debian GNU/Linux 4.0 (etch)

Source :
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4.orig.tar.gz
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4-1+etch1.diff.gz
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4-1+etch1.dsc
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/s/serendipity/serendipity_1.0.4-1+etch1_all.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.